#!/bin/bash

{{ base_path }}/create-networks.sh

mkdir -p {{ backup_dir }}

{% for stage_number in range(4) %}
echo "Stage {{ stage_number }}: start"
{% for stack_name in docker.stacks %}
{% if (docker.stacks[stack_name].stage is defined) and ((docker.stacks[stack_name].stage == stage_number) or stage_number == 3) %}
{{ base_path }}/deploy/{{ stack_name }}.sh
{% endif %}
{% endfor %}
echo "Stage {{ stage_number }}: done"
sleep 3;

{% endfor %}
